> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an one (/api/v1/edi-documents/&#123;id&#125;)

> Get an one (/api/v1/edi-documents/&#123;id&#125;)

### Path parameters

<ParamField path="id" type="string" required>
  EDI document ID
</ParamField>

### Responses

<ResponseField name="200" type="EdiDocumentResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/edi-documents/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "direction": "string",
    "document_type": "string",
    "error_message": null,
    "id": "string",
    "partner": null,
    "reference": null,
    "status": "string"
  }
  ```
</ResponseExample>
